%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vino
Version:	3.22.0
Release:	%mkrel 8
Summary:	GNOME VNC server
License:	GPLv2+
Group:		Networking/Remote access
Url:		https://wiki.gnome.org/Projects/Vino
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
## debian patches
Patch50:	libvncserver_CVE-2014-6053.patch
Patch51:	libvncserver_CVE-2018-7225.patch
Patch52:	libvncserver_CVE-2019-15681.patch

Patch53:	libvncserver_CVE-2020-14397.patch
Patch54:	libvncserver_CVE-2020-14400.patch
Patch55:	libvncserver_CVE-2020-14402-to-14404.patch
Patch56:	libvncserver_CVE-2020-25708.patch
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.17.0
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gnutls) >= 2.2.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.17.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtk+-x11-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.24.0
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.11.6
BuildRequires:	pkgconfig(libgcrypt) >= 1.2.0
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gnome-common
BuildRequires:	intltool

%description
This package contains an integrated GNOME VNC server.

%prep
%autosetup -p1

%build
%configure \
	--without-network-manager \
	--with-avahi \
	--with-telepathy \
	--with-secret \
	--with-gnutls
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%{_libexecdir}/%{name}-server
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/telepathy/clients/Vino.client
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}-server.desktop
%{_userunitdir}/%{name}-server.service


%changelog
* Fri Nov 20 2020 daviddavid <daviddavid> 3.22.0-8.mga8
+ Revision: 1647815
- add ubuntu patch to fix CVE-2020-25708 (mga#27636)

* Tue Jul 07 2020 ns80 <ns80> 3.22.0-7.mga8
+ Revision: 1602805
- add patches for CVE-2020-14397 and CVE-2020-1440[0234] (mga#26882)

* Sat Apr 11 2020 daviddavid <daviddavid> 3.22.0-6.mga8
+ Revision: 1566290
- add debian patches to fix CVE-2014-6053, CVE-2018-7225, CVE-2019-15681 (mga#25786)

* Sat Feb 15 2020 umeabot <umeabot> 3.22.0-5.mga8
+ Revision: 1528522
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Aug 22 2019 daviddavid <daviddavid> 3.22.0-4.mga8
+ Revision: 1431377
- adjust BR for new NM

* Sun Sep 23 2018 umeabot <umeabot> 3.22.0-3.mga7
+ Revision: 1301619
- Mageia 7 Mass Rebuild

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055290
- new version 3.22.0

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011793
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000415
- new version 3.20.1

* Wed Mar 23 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994648
- new version 3.20.0

* Mon Jan 11 2016 luigiwalser <luigiwalser> 3.18.1-2.mga6
+ Revision: 921842
- rebuild for gnutls

* Thu Nov 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 902709
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882927
- new release

* Mon Sep 14 2015 fwang <fwang> 3.17.91-2.mga6
+ Revision: 879196
- rebuild for new libgcrypt

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872115
- new version 3.17.91

* Mon Jun 22 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 838819
- new version 3.16.0

* Wed Feb 18 2015 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 815543
- new version 3.14.2
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749610
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731617
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 690212
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665043
- new version 3.13.90

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-2.mga5
+ Revision: 639313
- update url

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639308
- new version 3.13.3

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608104
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604590
- new version 3.11.92

* Wed Feb 05 2014 dams <dams> 3.11.4-2.mga5
+ Revision: 582923
- new version 3.11.4
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497228
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484481
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480442
- new version 3.9.92

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458150
- new version 3.9.3
- remove BR on gnome-keyring
- add BR on libsecret
- clean and update %%configure options

* Fri May 24 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 426083
- new version 3.8.1
+ ovitters <ovitters>
- new version 3.7.90
- new version 3.7.4

* Mon Jan 14 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 385421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 bersuit <bersuit> 3.7.3-1.mga3
+ Revision: 344000
- Update to new version 3.7.3

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317385
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307312
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297249
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295639
- new version 3.5.92

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282749
- new version 3.5.90

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263888
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235690
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231122
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226908
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224526
- new version 3.3.92
- drop desktop file patch, unneeded with desktop-file-utils 0.19

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184749
- new version 3.3.3

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158625
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156050
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148812
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145626
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139305
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136430
- br sm
- new version 3.1.90
- fix desktop file
- rebuild for new gnutls
+ wally <wally>
- new version 3.1.5
- new version 3.1.4
- clean .spec a bit

* Wed Jul 06 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119111
- add BuildRequires: libsm-devel
- add BuildRequires: gnome-common
- 3.1.3

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 111441
- New version 3.0.2
  Clean spec file

* Sun Jun 19 2011 dmorgan <dmorgan> 2.32.1-3.mga2
+ Revision: 110092
- Rebuild against new libnotify

* Tue May 03 2011 saispo <saispo> 2.32.1-2.mga1
+ Revision: 94362
- Bump Release
- Add patch for CVE-2011-0904 and CVE-2011-0905

* Fri Feb 25 2011 ennael <ennael> 2.32.1-1.mga1
+ Revision: 59382
- imported package vino


* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 624116
- update to new version 2.32.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581327
- update to new version 2.32.0

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574415
- new version
- update file list

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 529680
- update to new version 2.28.2

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2.28.1-2mdv2010.1
+ Revision: 489479
- fix BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libjpeg v8

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458698
- Release 2.28.1

* Tue Sep 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 447423
- Enable telepathy and gnome-keyring support

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446598
- update to new version 2.28.0

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432576
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421048
- update to new version 2.27.91

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.27.90-2mdv2010.0
+ Revision: 416665
- rebuilt against libjpeg v7

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414960
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401435
- new version
- drop patch 0
- fix build
- update file list

  + Funda Wang <fwang@mandriva.org>
    - build with latest gnutls 2.8

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377375
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366963
- update to new version 2.26.1

* Tue Mar 17 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356455
- New version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347304
- update to new version 2.25.92

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341029
- new version
- update file list

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336490
- update to new version 2.25.90

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-2mdv2009.1
+ Revision: 332508
- build with libunique

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 332330
- update build deps
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325334
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315814
- update to new version 2.25.3

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295725
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286840
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282770
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278498
- new version
- update file list

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273562
- new version
- update file list

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240777
- new version
- update buildrequires
- update file list

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211683
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192462
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183517
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174799
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165243
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159353
- new version
- new version

  + Funda Wang <fwang@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108390
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103011
- new version
- drop patch
- drop session management support
- enable libnotify support

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98455
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89053
- new version

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 78383
- new version
- fix desktop entry

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63294
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50682
- new version
- update file list

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14052
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141741
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126025
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106353
- new version
- fix buildrequires

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99060
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87901
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2006.0
+ Revision: 63759
- rebuild
- fix menu category
- Import vino

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-6mdv2007.0
- Rebuild with latest dbus

* Sat Jul 01 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2007.0
- Rebuild

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-4mdk
- Rebuild with latest dbus

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 2.13.5-2mdk
- enable avahi

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5
- use mkrel

* Wed Sep 07 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue Aug 23 2005 Götz Waschk <waschk@mandriva.org> 2.11.92-1mdk
- New release 2.11.92

* Sat Jul 30 2005 Götz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- New release 2.11.90

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 2.11.1.2-1mdk
- New release 2.11.1.2

* Sat May 21 2005 Götz Waschk <waschk@mandriva.org> 2.11.1.1-1mdk
- New release 2.11.1.1

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0
- update file list

* Thu Oct 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Thu Sep 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.0.1-1mdk
- New release 2.8.0.1

* Wed Sep 15 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- reenable session support
- New release 2.8.0

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.92-1mdk
- New release 2.7.92

* Fri Aug 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.7.91-2mdk
- fix buildrequires

* Wed Aug 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.91-1mdk
- New release 2.7.91

* Fri Aug 13 2004 Götz Waschk <waschk@linux-mandrake.com> 2.7.90-1mdk
- fix description
- New release 2.7.90

* Sat Jul 24 2004 Götz Waschk <waschk@linux-mandrake.com> 2.7.4-1mdk
- initial package

